<?php
/**
* Partial functions
*
* @package Theme Palace
* @subpackage  Pushpa
* @since  Pushpa 1.0.0
*/

// blog btn title
if ( ! function_exists( 'pushpa_copyright_text_partial' ) ) :
    function pushpa_copyright_text_partial() {
        $options = pushpa_get_theme_options();
        return esc_html( $options['copyright_text'] );
    }
endif;

// slider_btn_txt
if ( ! function_exists( 'pushpa_hero_content_section_btn_txt_partial' ) ) :
    function pushpa_hero_content_section_btn_txt_partial() {
        $options = pushpa_get_theme_options();
        return esc_html( $options['hero_content_btn_txt'] );
    }
endif;

// hero_banner_btn
if ( ! function_exists( 'pushpa_hero_banner_btn_partial' ) ) :
    // hero_banner_btn
    function pushpa_hero_banner_btn_partial() {
        $options = pushpa_get_theme_options();
        return esc_html( $options['hero_banner_btn'] );
    }
endif;

// cta_read_more selective refresh
if ( ! function_exists( 'pushpa_cta_read_more_partial' ) ) :
    function pushpa_cta_read_more_partial() {
        $options = pushpa_get_theme_options();
        return esc_html( $options['cta_read_more'] );
    }
endif;

// popular_posts_title selective refresh
if ( ! function_exists( 'pushpa_popular_posts_title_partial' ) ) :
    function pushpa_popular_posts_title_partial() {
        $options = pushpa_get_theme_options();
        return esc_html( $options['popular_posts_title'] );
    }
endif;

// most_recent_posts_btn
if ( ! function_exists( 'pushpa_most_recent_post_btn_partial' ) ) :
    // most_recent_posts_btn
    function pushpa_most_recent_post_btn_partial() {
        $options = pushpa_get_theme_options();
        return esc_html( $options['most_recent_posts_btn'] );
    }
endif;

// featured_posts_title
if ( ! function_exists( 'pushpa_featured_posts_title_partial' ) ) :
    // featured_posts_title
    function pushpa_featured_posts_title_partial() {
        $options = pushpa_get_theme_options();
        return esc_html( $options['featured_posts_title'] );
    }
endif;
